clang-tools 8.0.0

Classes | Namespaces
ExceptionEscapeCheck.h File Reference
`#include "../ClangTidy.h"`
`#include "llvm/ADT/StringSet.h"`
Include dependency graph for ExceptionEscapeCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::bugprone::ExceptionEscapeCheck
| Finds functions which should not throw exceptions: Destructors, move constructors, move assignment operators, the main() function, swap() functions, functions marked with throw() or noexcept and functions given as option to the checker. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::bugprone